Subject: Re: bug#24901: Patch updated slightly

From: Eli Zaretskii <[email-masked]>
Date: Fri, 02 Dec 2016 17:55:21 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Fri, 2 Dec 2016 15:40:58 +0000
> Cc: [email-masked]
> 
> On 2 December 2016 at 15:26, Eli Zaretskii <[email-masked]> wrote:
> 
>  So electric-pair-mode is incompatible with RTL scripts. Too bad.
> 
> It seems to work for me: if I select a Hebrew keyboard layout, type some Hebrew letters, and then use double
> straight quotes, I get the expected result. If I use curly quotes, I get a different result, but perhaps that it
> because it implicitly changes the writing direction? I didn't get as far as trying to configure electric-pair-mode to
> understand Hebrew quotation marks. 

The problem I was thinking about is that in RTL script you would type
the right quote first, to serve as the opening quote.  That's because
the quotes are not mirrored by the bidirectional reordering for
display, like parentheses are.

> I guess I should have said "open" and "close" rather than "left" and "right".

But the mode does really react to the left quote and not the open
quote.  Right?

> If you're happy with my argument above about programming languages, I'll install the change.

Please do, and thanks.